import usb
import time

VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1
VENDOR_RQ_GET_LED2   = 3
VENDOR_RQ_GET_AUTO   = 4

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()

a = 1
while a != 0:
    print '---------'
    print 'Main Menu'
    print '---------'
    print '1. Set Mode LED'
    print '2. Start light LED'
    print '3. Read Voltage'
    print '4. Quit'

    tmp = input('Enter choice :')

    if (tmp == 1):
        req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
        no = input('Enter LED mode (1 or 2):')
        if(no == 1):
            handle.controlMsg(req, 0, None)
        elif(no == 2):
            a=0
            while(a!=5):
                handle.controlMsg(req, 3, None, value=(((16**2)*1) + 0))
                time.sleep(1.0)
                handle.controlMsg(req, 3, None, value=(((16**2)*0) + 0))
                handle.controlMsg(req, 3, None, value=(((16**2)*1) + 1))
                time.sleep(1.0)
	        handle.controlMsg(req, 3, None, value=(((16**2)*0) + 1))
                handle.controlMsg(req, 3, None, value=(((16**2)*1) + 2))
	        time.sleep(1.0)
	        handle.controlMsg(req, 3, None, value=(((16**2)*0) + 2))
                handle.controlMsg(req, 5, None, value=(((16**2)*1) + 0))
                time.sleep(1.0)
                handle.controlMsg(req, 5, None, value=(((16**2)*0) + 0))
                handle.controlMsg(req, 5, None, value=(((16**2)*1) + 1))
                time.sleep(1.0)
                handle.controlMsg(req, 5, None, value=(((16**2)*0) + 1))
                handle.controlMsg(req, 5, None, value=(((16**2)*1) + 2))
                time.sleep(1.0)
                handle.controlMsg(req, 5, None, value=(((16**2)*0) + 2))
                handle.controlMsg(req, 5, None, value=(((16**2)*1) + 3))
                time.sleep(1.0)
                handle.controlMsg(req, 5, None, value=(((16**2)*0) + 3))
                handle.controlMsg(req, 5, None, value=(((16**2)*1) + 4))
                time.sleep(1.0)
                handle.controlMsg(req, 5, None, value=(((16**2)*0) + 4))
                time.sleep(1.0)
                a=a+1
    elif (tmp == 2):
        req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
        no = input('Enter 1 to start? ')
        if (no == 1):
            #x = handle.controlMsg(req, 2, 2)
            handle.controlMsg(req, 4, None)
    elif (tmp == 3):
        req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        x = handle.controlMsg(req, 2, 2)
        print 'The voltage reading is %.2fV' % (((x[0]*256)+x[1])*5.0/1023)
    elif (tmp == 4):
        break;

